package com.key.simplekeyboard.data;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import com.key.simplekeyboard.SimpleKeyboardSkins;



@Database(entities = {Otherdata.class}, version = SimpleKeyboardSkins.DB_Version,exportSchema = false)
public abstract class MydataBase extends RoomDatabase {
    public abstract MyDAO myDAO();

    private static MydataBase INSTANCE;

    public static MydataBase getInstance() {
        if (INSTANCE == null) {
            synchronized (MydataBase.class) {
                if (INSTANCE == null) {
                    INSTANCE = Room.databaseBuilder(SimpleKeyboardSkins.getContext(), MydataBase.class, SimpleKeyboardSkins.DB_Name).build();
                }
            }
        }
        return INSTANCE;
    }


}
